Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class IndexedLineStripArray

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.NodeComponent
              javax.media.j3d.Geometry
                  javax.media.j3d.GeometryArray
                      javax.media.j3d.IndexedGeometryArray
                          javax.media.j3d.IndexedGeometryStripArray
                              javax.media.j3d.IndexedLineStripArray

    public class IndexedLineStripArray

extends IndexedGeometryStripArray

The IndexedLineStripArray object draws an array of vertices as a set of connected line strips. An array of per-strip index counts specifies where the separate strips appear in the indexed vertex array. For every strip in the set, each vertex, beginning with the second vertex in the array, defines a line segment to be drawn from the previous vertex to the current vertex.

Field Summary

Fields inherited from class javax.media.j3d.IndexedGeometryArray
`ALLOW_COLOR_INDEX_READ, ALLOW_COLOR_INDEX_WRITE, ALLOW_COORDINATE_INDEX_READ, ALLOW_COORDINATE_INDEX_WRITE, ALLOW_NORMAL_INDEX_READ, ALLOW_NORMAL_INDEX_WRITE, ALLOW_TEXCOORD_INDEX_READ, ALLOW_TEXCOORD_INDEX_WRITE, ALLOW_VERTEX_ATTR_INDEX_READ, ALLOW_VERTEX_ATTR_INDEX_WRITE`

Fields inherited from class javax.media.j3d.GeometryArray
`ALLOW_COLOR_READ, ALLOW_COLOR_WRITE, ALLOW_COORDINATE_READ, ALLOW_COORDINATE_WRITE, ALLOW_COUNT_READ, ALLOW_COUNT_WRITE, ALLOW_FORMAT_READ, ALLOW_NORMAL_READ, ALLOW_NORMAL_WRITE, ALLOW_REF_DATA_READ, ALLOW_REF_DATA_WRITE, ALLOW_TEXCOORD_READ, ALLOW_TEXCOORD_WRITE, ALLOW_VERTEX_ATTR_READ, ALLOW_VERTEX_ATTR_WRITE, BY_REFERENCE, BY_REFERENCE_INDICES, COLOR_3, COLOR_4, COORDINATES, INTERLEAVED, NORMALS, TEXTURE_COORDINATE_2, TEXTURE_COORDINATE_3, TEXTURE_COORDINATE_4, USE_COORD_INDEX_ONLY, USE_NIO_BUFFER, VERTEX_ATTRIBUTES`

Fields inherited from class javax.media.j3d.Geometry
`ALLOW_INTERSECT`

Constructor Summary
`IndexedLineStripArray(int vertexCount, int vertexFormat, int indexCount, int[] stripIndexCounts)` Constructs an empty IndexedLineStripArray object using the specified parameters.
`IndexedLineStripArray(int vertexCount, int vertexFormat, int texCoordSetCount, int[] texCoordSetMap, int indexCount, int[] stripIndexCounts)` Constructs an empty IndexedLineStripArray object using the specified parameters.
`IndexedLineStripArray(int vertexCount, int vertexFormat, int texCoordSetCount, int[] texCoordSetMap, int vertexAttrCount, int[] vertexAttrSizes, int indexCount, int[] stripIndexCounts)` Constructs an empty IndexedLineStripArray object using the specified parameters.

Method Summary
`NodeComponent` | `cloneNodeComponent()` Deprecated. replaced with cloneNodeComponent(boolean forceDuplicate)

Methods inherited from class javax.media.j3d.IndexedGeometryStripArray
`getNumStrips, getStripIndexCounts, setStripIndexCounts, setValidIndexCount`

Methods inherited from class javax.media.j3d.IndexedGeometryArray
`getColorIndex, getColorIndices, getCoordinateIndex, getCoordinateIndices, getCoordIndicesRef, getIndexCount, getInitialIndexIndex, getNormalIndex, getNormalIndices, getTextureCoordinateIndex, getTextureCoordinateIndex, getTextureCoordinateIndices, getTextureCoordinateIndices, getValidIndexCount, getVertexAttrIndex, getVertexAttrIndices, setColorIndex, setColorIndices, setCoordinateIndex, setCoordinateIndices, setCoordIndicesRef, setInitialColorIndex, setInitialCoordIndex, setInitialIndexIndex, setInitialNormalIndex, setInitialTexCoordIndex, setInitialVertexAttrIndex, setInitialVertexIndex, setNormalIndex, setNormalIndices, setTextureCoordinateIndex, setTextureCoordinateIndex, setTextureCoordinateIndices, setTextureCoordinateIndices, setValidVertexCount, setVertexAttrIndex, setVertexAttrIndices`

Methods inherited from class javax.media.j3d.GeometryArray
`getColor, getColor, getColor, getColor, getColor, getColor, getColorRef3b, getColorRef3f, getColorRef4b, getColorRef4f, getColorRefBuffer, getColorRefByte, getColorRefFloat, getColors, getColors, getColors, getColors, getColors, getColors, getCoordinate, getCoordinate, getCoordinate, getCoordinate, getCoordinates, getCoordinates, getCoordinates, getCoordinates, getCoordRef3d, getCoordRef3f, getCoordRefBuffer, getCoordRefDouble, getCoordRefFloat, getInitialColorIndex, getInitialCoordIndex, getInitialNormalIndex, getInitialTexCoordIndex, getInitialVertexAttrIndex, getInitialVertexIndex, getInterleavedVertexBuffer, getInterleavedVertices, getNormal, getNormal, getNormalRef3f, getNormalRefBuffer, getNormalRefFloat, getNormals, getNormals, getTexCoordRef2f, getTexCoordRef3f, getTexCoordRefBuffer, getTexCoordRefFloat, getTexCoordSetCount, getTexCoordSetMap, getTexCoordSetMapLength, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinate, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getTextureCoordinates, getValidVertexCount, getVertexAttr, getVertexAttr, getVertexAttr, getVertexAttr, getVertexAttrCount, getVertexAttrRefBuffer, getVertexAttrRefFloat, getVertexAttrs, getVertexAttrs, getVertexAttrs, getVertexAttrs, getVertexAttrSizes, getVertexCount, getVertexFormat, setColor, setColor, setColor, setColor, setColor, setColor, setColorRef3b, setColorRef3f, setColorRef4b, setColorRef4f, setColorRefBuffer, setColorRefByte, setColorRefFloat, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setColors, setCoordinate, setCoordinate, setCoordinate, setCoordinate, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordinates, setCoordRef3d, setCoordRef3f, setCoordRefBuffer, setCoordRefDouble, setCoordRefFloat, setInterleavedVertexBuffer, setInterleavedVertices, setNormal, setNormal, setNormalRef3f, setNormalRefBuffer, setNormalRefFloat, setNormals, setNormals, setNormals, setNormals, setTexCoordRef2f, setTexCoordRef3f, setTexCoordRefBuffer, setTexCoordRefFloat, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinate, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setTextureCoordinates, setVertexAttr, setVertexAttr, setVertexAttr, setVertexAttr, setVertexAttrRefBuffer, setVertexAttrRefFloat, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, setVertexAttrs, updateData`

Methods inherited from class javax.media.j3d.NodeComponent
`cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexedLineStripArray

    public IndexedLineStripArray(int vertexCount,
                                 int vertexFormat,
                                 int indexCount,
                                 int[] stripIndexCounts)

  Constructs an empty IndexedLineStripArray object using the specified parameters.

  Parameters:
    `vertexCount` - see `GeometryArray.GeometryArray(int,int)` for a description of this parameter.
    `vertexFormat` - see `GeometryArray.GeometryArray(int,int)` for a description of this parameter.
    `indexCount` - see `IndexedGeometryArray.IndexedGeometryArray(int,int,int)` for a description of this parameter.
    `stripIndexCounts` - see `IndexedGeometryStripArray.IndexedGeometryStripArray(int,int,int,int[])` for a description of this parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if vertexCount is less than 1, or indexCount is less than 2, or any element in the stripIndexCounts array is less than 2 ;
    See `IndexedGeometryStripArray.IndexedGeometryStripArray(int,int,int,int[])` for more exceptions that can be thrown

### IndexedLineStripArray

    public IndexedLineStripArray(int vertexCount,
                                 int vertexFormat,
                                 int texCoordSetCount,
                                 int[] texCoordSetMap,
                                 int indexCount,
                                 int[] stripIndexCounts)

  Constructs an empty IndexedLineStripArray object using the specified parameters.

  Parameters:
    `vertexCount` - see `GeometryArray.GeometryArray(int,int,int,int[])` for a description of this parameter.
    `vertexFormat` - see `GeometryArray.GeometryArray(int,int,int,int[])` for a description of this parameter.
    `texCoordSetCount` - see `GeometryArray.GeometryArray(int,int,int,int[])` for a description of this parameter.
    `texCoordSetMap` - see `GeometryArray.GeometryArray(int,int,int,int[])` for a description of this parameter.
    `indexCount` - see `IndexedGeometryArray.IndexedGeometryArray(int,int,int,int[],int)` for a description of this parameter.
    `stripIndexCounts` - see `IndexedGeometryStripArray.IndexedGeometryStripArray(int,int,int,int[],int,int[])` for a description of this parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if vertexCount is less than 1, or indexCount is less than 2, or any element in the stripIndexCounts array is less than 2 ;
    See `IndexedGeometryStripArray.IndexedGeometryStripArray(int,int,int,int[],int,int[])` for more exceptions that can be thrown
  Since:
    Java 3D 1.2

### IndexedLineStripArray

    public IndexedLineStripArray(int vertexCount,
                                 int vertexFormat,
                                 int texCoordSetCount,
                                 int[] texCoordSetMap,
                                 int vertexAttrCount,
                                 int[] vertexAttrSizes,
                                 int indexCount,
                                 int[] stripIndexCounts)

  Constructs an empty IndexedLineStripArray object using the specified parameters.

  Parameters:
    `vertexCount` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
    `vertexFormat` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
    `texCoordSetMap` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
    `vertexAttrCount` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
    `vertexAttrSizes` - see `GeometryArray.GeometryArray(int,int,int,int[],int,int[])` for a description of this parameter.
    `indexCount` - see `IndexedGeometryArray.IndexedGeometryArray(int,int,int,int[],int,int[],int)` for a description of this parameter.
    `stripIndexCounts` - see `IndexedGeometryStripArray.IndexedGeometryStripArray(int,int,int,int[],int,int[],int,int[])` for a description of this parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if vertexCount is less than 1, or indexCount is less than 2, or any element in the stripIndexCounts array is less than 2 ;
    See `IndexedGeometryStripArray.IndexedGeometryStripArray(int,int,int,int[],int,int[],int,int[])` for more exceptions that can be thrown
  Since:
    Java 3D 1.4

Method Detail

### cloneNodeComponent

    public NodeComponent cloneNodeComponent()

  Deprecated. replaced with cloneNodeComponent(boolean forceDuplicate)

  Overrides:
    `cloneNodeComponent` in class `NodeComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.